## sdlip.xml.dom
Class DOMUtil

    java.lang.Object
      |
      +--sdlip.xml.dom.DOMUtil

public class DOMUtil
extends java.lang.Object

This is a DOM toolkit described in the SDLIP Java tutorial.

Constructor Summary
`DOMUtil()`

Method Summary
`static byte[]` `base64Decode(org.w3c.dom.Element bin)`
`static void` `base64Decode(org.w3c.dom.Element bin, java.io.OutputStream out)`
`static org.w3c.dom.Element` `base64Encode(org.w3c.dom.Document doc, byte[] bytes)`
`static org.w3c.dom.Element` `base64Encode(org.w3c.dom.Document doc, java.io.InputStream in)`
`static org.w3c.dom.Document` `createDocument()`
`static org.w3c.dom.Element` `createElement(org.w3c.dom.Document doc, QName name)`
`static org.w3c.dom.Element` `createTextNode(org.w3c.dom.Document doc, QName name, java.lang.String value)`
`static org.w3c.dom.Element` `getChild(org.w3c.dom.Element elem, QName name)`
`static org.w3c.dom.NodeList` `getChildElements(org.w3c.dom.Element elem, QName name)` use QName.ALL as name to get all child elements
`static java.lang.String` `getChildText(org.w3c.dom.Element elem, QName name)`
`static org.w3c.dom.Element` `getDescendant(org.w3c.dom.Element elem, QName name)`
`static java.lang.String` `getDescendantText(org.w3c.dom.Element elem, QName name)`
`static org.w3c.dom.NodeList` `getElementsByTagName(org.w3c.dom.Element elem, QName name)`
`static QName` `getName(org.w3c.dom.Node el)`
`static java.lang.String` `getText(org.w3c.dom.Element el)`
`static boolean` `hasName(org.w3c.dom.Node elem, QName name)`
`static boolean` `sameTags(org.w3c.dom.Node e1, org.w3c.dom.Node e2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMUtil

    public DOMUtil()

Method Detail

### base64Decode

    public static void base64Decode(org.w3c.dom.Element bin,
                                    java.io.OutputStream out)
                             throws java.io.IOException,
                                    org.w3c.tools.codec.Base64FormatException

    `java.io.IOException`
    `org.w3c.tools.codec.Base64FormatException`

### base64Decode

    public static byte[] base64Decode(org.w3c.dom.Element bin)
                               throws java.io.IOException,
                                      org.w3c.tools.codec.Base64FormatException

    `java.io.IOException`
    `org.w3c.tools.codec.Base64FormatException`

### base64Encode

    public static org.w3c.dom.Element base64Encode(org.w3c.dom.Document doc,
                                                   java.io.InputStream in)
                                            throws java.io.IOException

    `java.io.IOException`

### base64Encode

    public static org.w3c.dom.Element base64Encode(org.w3c.dom.Document doc,
                                                   byte[] bytes)
                                            throws java.io.IOException

    `java.io.IOException`

### createDocument

    public static org.w3c.dom.Document createDocument()

### createTextNode

    public static org.w3c.dom.Element createTextNode(org.w3c.dom.Document doc,
                                                     QName name,
                                                     java.lang.String value)

### getName

    public static QName getName(org.w3c.dom.Node el)

### sameTags

    public static boolean sameTags(org.w3c.dom.Node e1,
                                   org.w3c.dom.Node e2)

### hasName

    public static boolean hasName(org.w3c.dom.Node elem,
                                  QName name)

### getChild

    public static org.w3c.dom.Element getChild(org.w3c.dom.Element elem,
                                               QName name)

### getChildElements

    public static org.w3c.dom.NodeList getChildElements(org.w3c.dom.Element elem,
                                                        QName name)

  use QName.ALL as name to get all child elements

### createElement

    public static org.w3c.dom.Element createElement(org.w3c.dom.Document doc,
                                                    QName name)

### getChildText

    public static java.lang.String getChildText(org.w3c.dom.Element elem,
                                                QName name)

### getElementsByTagName

    public static org.w3c.dom.NodeList getElementsByTagName(org.w3c.dom.Element elem,
                                                            QName name)

### getDescendant

    public static org.w3c.dom.Element getDescendant(org.w3c.dom.Element elem,
                                                    QName name)

### getDescendantText

    public static java.lang.String getDescendantText(org.w3c.dom.Element elem,
                                                     QName name)

### getText

    public static java.lang.String getText(org.w3c.dom.Element el)